From 1a701071a85e797a2f154c7c43ccfa203e92cf80 Mon Sep 17 00:00:00 2001
From: David Lehman <dlehman@redhat.com>
Date: Mon, 14 Jan 2013 17:48:37 -0600
Subject: [PATCH 09/11] Remove the storage module and replace it with blivet.

---
 anaconda                                          |   12 +-
 anaconda.spec.in                                  |   66 +-
 configure.ac                                      |   28 -
 po/POTFILES.in                                    |   26 -
 pyanaconda/Makefile.am                            |    2 +-
 pyanaconda/__init__.py                            |    4 +-
 pyanaconda/bootloader.py                          |   12 +-
 pyanaconda/exception.py                           |    4 +-
 pyanaconda/image.py                               |   22 +-
 pyanaconda/install.py                             |    2 +-
 pyanaconda/installclass.py                        |    6 +-
 pyanaconda/isys/__init__.py                       |    6 +-
 pyanaconda/kickstart.py                           |   44 +-
 pyanaconda/network.py                             |    8 +-
 pyanaconda/packaging/__init__.py                  |   22 +-
 pyanaconda/packaging/livepayload.py               |    8 +-
 pyanaconda/packaging/yumpayload.py                |   14 +-
 pyanaconda/rescue.py                              |   12 +-
 pyanaconda/storage/Makefile.am                    |   26 -
 pyanaconda/storage/__init__.py                    | 3533 -----------------
 pyanaconda/storage/arch.py                        |  315 --
 pyanaconda/storage/dasd.py                        |  218 --
 pyanaconda/storage/deviceaction.py                |  587 ---
 pyanaconda/storage/devicelibs/Makefile.am         |   24 -
 pyanaconda/storage/devicelibs/btrfs.py            |  112 -
 pyanaconda/storage/devicelibs/crypto.py           |  153 -
 pyanaconda/storage/devicelibs/dm.py               |   78 -
 pyanaconda/storage/devicelibs/edd.py              |  231 --
 pyanaconda/storage/devicelibs/loop.py             |   89 -
 pyanaconda/storage/devicelibs/lvm.py              |  403 --
 pyanaconda/storage/devicelibs/mdraid.py           |  280 --
 pyanaconda/storage/devicelibs/mpath.py            |  285 --
 pyanaconda/storage/devicelibs/swap.py             |  157 -
 pyanaconda/storage/devices.py                     | 4190 ---------------------
 pyanaconda/storage/devicetree.py                  | 2205 -----------
 pyanaconda/storage/errors.py                      |  193 -
 pyanaconda/storage/fcoe.py                        |  163 -
 pyanaconda/storage/flags.py                       |   98 -
 pyanaconda/storage/formats/Makefile.am            |   24 -
 pyanaconda/storage/formats/__init__.py            |  438 ---
 pyanaconda/storage/formats/biosboot.py            |   60 -
 pyanaconda/storage/formats/disklabel.py           |  443 ---
 pyanaconda/storage/formats/dmraid.py              |  114 -
 pyanaconda/storage/formats/fs.py                  | 1433 -------
 pyanaconda/storage/formats/luks.py                |  342 --
 pyanaconda/storage/formats/lvmpv.py               |  146 -
 pyanaconda/storage/formats/mdraid.py              |  120 -
 pyanaconda/storage/formats/multipath.py           |   94 -
 pyanaconda/storage/formats/prepboot.py            |   87 -
 pyanaconda/storage/formats/swap.py                |  171 -
 pyanaconda/storage/iscsi.py                       |  437 ---
 pyanaconda/storage/partitioning.py                | 1947 ----------
 pyanaconda/storage/partspec.py                    |   82 -
 pyanaconda/storage/platform.py                    |  409 --
 pyanaconda/storage/pyudev.py                      |  232 --
 pyanaconda/storage/size.py                        |  235 --
 pyanaconda/storage/storage_log.py                 |   46 -
 pyanaconda/storage/tsort.py                       |  105 -
 pyanaconda/storage/udev.py                        |  737 ----
 pyanaconda/storage/util.py                        |  272 --
 pyanaconda/storage/zfcp.py                        |  428 ---
 pyanaconda/timezone.py                            |    2 +-
 pyanaconda/ui/gui/spokes/custom.py                |   46 +-
 pyanaconda/ui/gui/spokes/lib/cart.py              |    2 +-
 pyanaconda/ui/gui/spokes/lib/resize.py            |    2 +-
 pyanaconda/ui/gui/spokes/storage.py               |    6 +-
 pyanaconda/ui/gui/tools/run-spoke.py              |    4 +-
 pyanaconda/ui/lib/space.py                        |    2 +-
 pyanaconda/ui/tui/spokes/storage.py               |    4 +-
 pyanaconda/ui/tui/tools/run-text-spoke.py         |    4 +-
 scripts/anaconda-cleanup                          |    6 +-
 tests/Makefile.am                                 |    2 +-
 tests/storage_test/Makefile.am                    |   24 -
 tests/storage_test/action_test.py                 |  926 -----
 tests/storage_test/devicelibs_test/Makefile.am    |   22 -
 tests/storage_test/devicelibs_test/baseclass.py   |   80 -
 tests/storage_test/devicelibs_test/crypto_test.py |  135 -
 tests/storage_test/devicelibs_test/edd_test.py    |  212 --
 tests/storage_test/devicelibs_test/lvm_test.py    |  239 --
 tests/storage_test/devicelibs_test/mdraid_test.py |  114 -
 tests/storage_test/devicelibs_test/mpath_test.py  |   86 -
 tests/storage_test/devicelibs_test/swap_test.py   |   74 -
 tests/storage_test/partitioning_test.py           |  130 -
 tests/storage_test/size_test.py                   |   86 -
 tests/storage_test/storagetestcase.py             |  287 --
 tests/storage_test/tsort_test.py                  |   62 -
 tests/storage_test/udev_test.py                   |  139 -
 87 files changed, 131 insertions(+), 24605 deletions(-)
 delete mode 100644 pyanaconda/storage/Makefile.am
 delete mode 100644 pyanaconda/storage/__init__.py
 delete mode 100644 pyanaconda/storage/arch.py
 delete mode 100644 pyanaconda/storage/dasd.py
 delete mode 100644 pyanaconda/storage/deviceaction.py
 delete mode 100644 pyanaconda/storage/devicelibs/Makefile.am
 delete mode 100644 pyanaconda/storage/devicelibs/__init__.py
 delete mode 100644 pyanaconda/storage/devicelibs/btrfs.py
 delete mode 100644 pyanaconda/storage/devicelibs/crypto.py
 delete mode 100644 pyanaconda/storage/devicelibs/dm.py
 delete mode 100644 pyanaconda/storage/devicelibs/edd.py
 delete mode 100644 pyanaconda/storage/devicelibs/loop.py
 delete mode 100644 pyanaconda/storage/devicelibs/lvm.py
 delete mode 100644 pyanaconda/storage/devicelibs/mdraid.py
 delete mode 100644 pyanaconda/storage/devicelibs/mpath.py
 delete mode 100644 pyanaconda/storage/devicelibs/swap.py
 delete mode 100644 pyanaconda/storage/devices.py
 delete mode 100644 pyanaconda/storage/devicetree.py
 delete mode 100644 pyanaconda/storage/errors.py
 delete mode 100644 pyanaconda/storage/fcoe.py
 delete mode 100644 pyanaconda/storage/flags.py
 delete mode 100644 pyanaconda/storage/formats/Makefile.am
 delete mode 100644 pyanaconda/storage/formats/__init__.py
 delete mode 100644 pyanaconda/storage/formats/biosboot.py
 delete mode 100644 pyanaconda/storage/formats/disklabel.py
 delete mode 100644 pyanaconda/storage/formats/dmraid.py
 delete mode 100644 pyanaconda/storage/formats/fs.py
 delete mode 100644 pyanaconda/storage/formats/luks.py
 delete mode 100644 pyanaconda/storage/formats/lvmpv.py
 delete mode 100644 pyanaconda/storage/formats/mdraid.py
 delete mode 100644 pyanaconda/storage/formats/multipath.py
 delete mode 100644 pyanaconda/storage/formats/prepboot.py
 delete mode 100644 pyanaconda/storage/formats/swap.py
 delete mode 100644 pyanaconda/storage/iscsi.py
 delete mode 100644 pyanaconda/storage/partitioning.py
 delete mode 100644 pyanaconda/storage/partspec.py
 delete mode 100644 pyanaconda/storage/platform.py
 delete mode 100644 pyanaconda/storage/pyudev.py
 delete mode 100644 pyanaconda/storage/size.py
 delete mode 100644 pyanaconda/storage/storage_log.py
 delete mode 100644 pyanaconda/storage/tsort.py
 delete mode 100644 pyanaconda/storage/udev.py
 delete mode 100644 pyanaconda/storage/util.py
 delete mode 100644 pyanaconda/storage/zfcp.py
 delete mode 100644 tests/storage_test/Makefile.am
 delete mode 100644 tests/storage_test/action_test.py
 delete mode 100644 tests/storage_test/devicelibs_test/Makefile.am
 delete mode 100644 tests/storage_test/devicelibs_test/baseclass.py
 delete mode 100755 tests/storage_test/devicelibs_test/crypto_test.py
 delete mode 100644 tests/storage_test/devicelibs_test/edd_test.py
 delete mode 100755 tests/storage_test/devicelibs_test/lvm_test.py
 delete mode 100755 tests/storage_test/devicelibs_test/mdraid_test.py
 delete mode 100755 tests/storage_test/devicelibs_test/mpath_test.py
 delete mode 100755 tests/storage_test/devicelibs_test/swap_test.py
 delete mode 100644 tests/storage_test/partitioning_test.py
 delete mode 100644 tests/storage_test/size_test.py
 delete mode 100644 tests/storage_test/storagetestcase.py
 delete mode 100644 tests/storage_test/tsort_test.py
 delete mode 100644 tests/storage_test/udev_test.py

diff --git a/anaconda b/anaconda
index 9ad9844..5cbb39d 100755
--- a/anaconda
+++ b/anaconda
@@ -409,8 +409,8 @@ def setupDisplay(anaconda, opts, addon_paths=None):
     from pyanaconda.ui.tui.spokes.askvnc import AskVNCSpoke
     from pykickstart.constants import DISPLAY_MODE_TEXT
     from pyanaconda import network
-    from pyanaconda.storage import arch
-    from pyanaconda.storage import util
+    from blivet import arch
+    import blivet.util
 
     graphical_failed = 0
     vncS = vnc.VncServer()          # The vnc Server object.
@@ -458,7 +458,7 @@ def setupDisplay(anaconda, opts, addon_paths=None):
             vncS.vncconnectport = anaconda.ksdata.vnc.port
 
     # disable VNC over text question when not enough memory is available
-    if util.total_memory() < isys.MIN_GUI_RAM:
+    if blivet.util.total_memory() < isys.MIN_GUI_RAM:
         flags.vncquestion = False
 
     # disable VNC question if text mode is requested and this is a ks install
@@ -930,8 +930,8 @@ if __name__ == "__main__":
     from pyanaconda.threads import initThreading, threadMgr, AnacondaThread
     initThreading()
 
-    from pyanaconda import storage
-    storage.enable_installer_mode()
+    import blivet
+    blivet.enable_installer_mode()
 
     # now start the interface
     setupDisplay(anaconda, opts, addon_paths)
@@ -977,7 +977,7 @@ if __name__ == "__main__":
         # this is lame, but make things match what we expect (#443408)
         opts.lang = opts.lang.replace(".utf8", ".UTF-8")
 
-    from pyanaconda.storage import storageInitialize
+    from blivet import storageInitialize
     from pyanaconda.packaging import payloadInitialize
     from pyanaconda.network import networkInitialize, wait_for_connecting_NM_thread
 
diff --git a/anaconda.spec.in b/anaconda.spec.in
index b3c81e7..1114144 100644
--- a/anaconda.spec.in
+++ b/anaconda.spec.in
@@ -19,41 +19,26 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 # Versions of required components (done so we make sure the buildrequires
 # match the requires versions of things).
-%define dmver 1.02.17-6
 %define gettextver 0.11
-%define genisoimagever 1.1.9-4
 %define gconfversion 2.28.1
 %define intltoolver 0.31.2-3
 %define libnlver 1.0
-%define libselinuxver 1.6
 %define pykickstartver 1.99.22
-%define rpmpythonver 4.2-0.61
 %define yumver 3.4.3-32
 %define partedver 1.8.1
 %define pypartedver 2.5-2
 %define pythonpyblockver 0.45
-%define e2fsver 1.41.0
 %define nmver 1:0.7.1-3.git20090414
 %define dbusver 1.2.3
-%define createrepover 0.4.7
 %define yumutilsver 1.1.11-3
-%define iscsiver 6.2.0.870-3
-%define pythoncryptsetupver 0.1.1
 %define mehver 0.21-1
 %define sckeyboardver 1.3.1
-%define libblkidver 2.17.1-1
-%define fcoeutilsver 1.0.12-3.20100323git
 %define firewalldver 0.2.9-1
 %define pythonurlgrabberver 3.9.1-5
 %define utillinuxver 2.15.1
-%define syslinuxver 3.73
 %define dracutver 024-16
 
 BuildRequires: audit-libs-devel
-BuildRequires: bzip2-devel
-BuildRequires: device-mapper-devel >= %{dmver}
-BuildRequires: e2fsprogs-devel >= %{e2fsver}
-BuildRequires: elfutils-devel
 BuildRequires: gettext >= %{gettextver}
 BuildRequires: gtk3-devel
 BuildRequires: gtk-doc
@@ -61,30 +46,19 @@ BuildRequires: gobject-introspection-devel
 BuildRequires: glade-devel
 BuildRequires: pygobject3
 BuildRequires: intltool >= %{intltoolver}
-BuildRequires: libarchive-devel
 BuildRequires: libX11-devel
 BuildRequires: libXt-devel
 BuildRequires: libXxf86misc-devel
-BuildRequires: libblkid-devel >= %{libblkidver}
-BuildRequires: libcurl-devel
 BuildRequires: libgnomekbd-devel
 BuildRequires: libnl-devel >= %{libnlver}
-BuildRequires: libselinux-devel >= %{libselinuxver}
-BuildRequires: libsepol-devel
 BuildRequires: libxklavier-devel
-BuildRequires: libxml2-python
 BuildRequires: pango-devel
 BuildRequires: pykickstart >= %{pykickstartver}
 BuildRequires: python-devel
-BuildRequires: python-pyblock >= %{pythonpyblockver}
 BuildRequires: python-urlgrabber >= %{pythonurlgrabberver}
 BuildRequires: python-nose
-BuildRequires: rpm-devel
-BuildRequires: rpm-python >= %{rpmpythonver}
 BuildRequires: systemd
-BuildRequires: xmlto
 BuildRequires: yum >= %{yumver}
-BuildRequires: zlib-devel
 BuildRequires: NetworkManager-devel >= %{nmver}
 BuildRequires: NetworkManager-glib-devel >= %{nmver}
 BuildRequires: dbus-devel >= %{dbusver}
@@ -92,41 +66,26 @@ BuildRequires: dbus-python
 %ifarch %livearches
 BuildRequires: desktop-file-utils
 %endif
-BuildRequires: iscsi-initiator-utils-devel >= %{iscsiver}
 %ifarch s390 s390x
 BuildRequires: s390utils-devel
 %endif
 
 Requires: anaconda-widgets = %{version}-%{release}
+Requires: python-blivet
 Requires: gnome-icon-theme-symbolic
 Requires: python-meh >= %{mehver}
-Requires: policycoreutils
+Requires: libselinux-python
 Requires: rpm-python >= %{rpmpythonver}
 Requires: parted >= %{partedver}
 Requires: pyparted >= %{pypartedver}
 Requires: yum >= %{yumver}
-Requires: libxml2-python
 Requires: python-urlgrabber >= %{pythonurlgrabberver}
 Requires: system-logos
 Requires: pykickstart >= %{pykickstartver}
-Requires: device-mapper >= %{dmver}
-Requires: device-mapper-libs >= %{dmver}
-Requires: dosfstools
-Requires: e2fsprogs >= %{e2fsver}
-Requires: gzip
-Requires: libarchive
 Requires: python-babel
-%ifarch %{ix86} x86_64 ia64
-Requires: dmidecode
-%endif
-Requires: python-pyblock >= %{pythonpyblockver}
 Requires: libuser-python
 Requires: authconfig
 Requires: firewalld >= %{firewalldver}
-Requires: cryptsetup-luks
-Requires: python-cryptsetup >= %{pythoncryptsetupver}
-Requires: mdadm
-Requires: lvm2
 Requires: util-linux >= %{utillinuxver}
 Requires: dbus-python
 Requires: python-pwquality
@@ -140,18 +99,7 @@ Requires: libgnomekbd
 Requires: usermode
 Requires: zenity
 %endif
-Requires: createrepo >= %{createrepover}
-Requires: squashfs-tools
-%if ! 0%{?rhel}
-Requires: hfsplus-tools
-%endif
-Requires: genisoimage >= %{genisoimagever}
 Requires: GConf2 >= %{gconfversion}
-%ifarch %{ix86} x86_64
-Requires: syslinux >= %{syslinuxver}
-Requires: makebootfat
-Requires: device-mapper
-%endif
 %ifarch s390 s390x
 Requires: openssh
 %endif
@@ -162,21 +110,11 @@ Requires: nm-connection-editor
 Requires: dhclient
 Requires: anaconda-yum-plugins
 Requires: libselinux-python >= %{libselinuxver}
-%ifnarch s390 s390x
-Requires: fcoe-utils >= %{fcoeutilsver}
-%endif
-Requires: device-mapper-multipath
 Requires: kbd
 Requires: chrony
 Requires: rdate
 Requires: rsync
 Requires: hostname
-%ifarch %{sparc}
-Requires: elftoaout piggyback
-%endif
-%ifarch x86_64
-Requires: mactel-boot
-%endif
 Obsoletes: anaconda-images <= 10
 Provides: anaconda-images = %{version}-%{release}
 Obsoletes: anaconda-runtime < %{version}-%{release}
diff --git a/configure.ac b/configure.ac
index f43a012..da50f5b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -111,10 +111,7 @@ PKG_CHECK_MODULES([GDK], [gdk-3.0])
 PKG_CHECK_MODULES([NETWORKMANAGER], [NetworkManager >= 0.7.1])
 PKG_CHECK_MODULES([LIBNL], [libnl-1 >= 1.0])
 PKG_CHECK_MODULES([LIBNM_GLIB], [libnm-glib >= 0.7.1 libnm-util >= 0.7.1])
-PKG_CHECK_MODULES([DEVMAPPER], [devmapper >= 1.02.17])
 PKG_CHECK_MODULES([LIBCURL], [libcurl >= 7.19.5])
-PKG_CHECK_MODULES([RPM], [rpm >= 4.8.0])
-PKG_CHECK_MODULES([LIBARCHIVE], [libarchive >= 2.7.902a])
 
 # Set $RPM_OPT_FLAGS if we don't have it
 if test -z $RPM_OPT_FLAGS ; then
@@ -123,32 +120,12 @@ else
     CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
 fi
 
-# SELinux support can be enabled or disabled
-AC_ARG_ENABLE(selinux,
-    AC_HELP_STRING([--enable-selinux],
-                   [enable SELinux support (default is yes)]),
-    [selinux=$enableval],
-    [selinux=yes])
-if test x$selinux = xyes ; then
-    AC_CHECK_LIB([selinux], [matchpathcon], [],
-        [AC_MSG_FAILURE([*** libselinux not usable.])])
-    AC_CHECK_LIB([selinux], [lsetfilecon], [],
-        [AC_MSG_FAILURE([*** libselinux not usable.])])
-
-    selinux_libs="-lselinux -laudit"
-    AC_SUBST(SELINUX_CFLAGS, [-DUSESELINUX=1])
-    AC_SUBST(SELINUX_LIBS, [$selinux_libs])
-fi
-
 # NFS support can, in theory, be enabled or disabled
 AC_ARG_ENABLE(nfs,
     AC_HELP_STRING([--enable-nfs],
                    [enable NFS support (default is yes)]),
     [nfs=$enableval],
     [nfs=yes])
-if test x$selinux = xyes ; then
-    AC_SUBST(NFS_CFLAGS, [-DHAVE_NFS])
-fi
 
 # IPv6 support can be enabled or disabled
 AC_ARG_ENABLE(ipv6,
@@ -255,9 +232,6 @@ AC_CONFIG_FILES([Makefile
                  pyanaconda/Makefile
                  pyanaconda/isys/Makefile
                  pyanaconda/packaging/Makefile
-                 pyanaconda/storage/Makefile
-                 pyanaconda/storage/devicelibs/Makefile
-                 pyanaconda/storage/formats/Makefile
                  pyanaconda/ui/Makefile
                  pyanaconda/ui/lib/Makefile
                  pyanaconda/ui/gui/categories/Makefile
@@ -274,8 +248,6 @@ AC_CONFIG_FILES([Makefile
                  tests/Makefile
                  tests/mock/Makefile
                  tests/kickstart_test/Makefile
-                 tests/storage_test/Makefile
-                 tests/storage_test/devicelibs_test/Makefile
                  tests/pylint/Makefile
                  tests/regex/Makefile
                  tests/pyanaconda_test/Makefile
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 1d7e264..172d48a 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -12,7 +12,6 @@ pyanaconda/installinterfacebase.py
 pyanaconda/iutil.py
 pyanaconda/kickstart.py
 pyanaconda/network.py
-pyanaconda/platform.py
 pyanaconda/product.py
 pyanaconda/rescue.py
 pyanaconda/vnc.py
@@ -27,31 +26,6 @@ pyanaconda/packaging/livepayload.py
 pyanaconda/packaging/tarpayload.py
 pyanaconda/packaging/yumpayload.py
 
-# Storage module source files
-pyanaconda/storage/__init__.py
-pyanaconda/storage/dasd.py
-pyanaconda/storage/deviceaction.py
-pyanaconda/storage/devicelibs/crypto.py
-pyanaconda/storage/devicelibs/dm.py
-pyanaconda/storage/devicelibs/lvm.py
-pyanaconda/storage/devicelibs/mdraid.py
-pyanaconda/storage/devicelibs/swap.py
-pyanaconda/storage/devices.py
-pyanaconda/storage/devicetree.py
-pyanaconda/storage/fcoe.py
-pyanaconda/storage/formats/__init__.py
-pyanaconda/storage/formats/disklabel.py
-pyanaconda/storage/formats/dmraid.py
-pyanaconda/storage/formats/fs.py
-pyanaconda/storage/formats/luks.py
-pyanaconda/storage/formats/lvmpv.py
-pyanaconda/storage/formats/mdraid.py
-pyanaconda/storage/formats/multipath.py
-pyanaconda/storage/formats/swap.py
-pyanaconda/storage/iscsi.py
-pyanaconda/storage/partitioning.py
-pyanaconda/storage/zfcp.py
-
 # Interfaces
 pyanaconda/ui/common.py
 pyanaconda/ui/__init__.py
diff --git a/pyanaconda/Makefile.am b/pyanaconda/Makefile.am
index d106f78..09b2b86 100644
--- a/pyanaconda/Makefile.am
+++ b/pyanaconda/Makefile.am
@@ -17,7 +17,7 @@
 #
 # Author: Martin Sivak <msivak@redhat.com>
 
-SUBDIRS = installclasses isys storage ui packaging
+SUBDIRS = installclasses isys ui packaging
 
 MAINTAINERCLEANFILES = Makefile.in
 
diff --git a/pyanaconda/__init__.py b/pyanaconda/__init__.py
index 4767080..aa38394 100644
--- a/pyanaconda/__init__.py
+++ b/pyanaconda/__init__.py
@@ -155,8 +155,8 @@ class Anaconda(object):
     @property
     def storage(self):
         if not self._storage:
-            import storage
-            self._storage = storage.Storage(data=self.ksdata)
+            import blivet
+            self._storage = blivet.Blivet(ksdata=self.ksdata)
 
         return self._storage
 
diff --git a/pyanaconda/bootloader.py b/pyanaconda/bootloader.py
index 4d7d38f..7e77071 100644
--- a/pyanaconda/bootloader.py
+++ b/pyanaconda/bootloader.py
@@ -28,15 +28,15 @@ import struct
 from parted import PARTITION_BIOS_GRUB
 
 from pyanaconda import iutil
-from pyanaconda.storage.devicelibs import mdraid
+from blivet.devicelibs import mdraid
 from pyanaconda.isys import sync, getMacAddress
 from pyanaconda.product import productName
 from pyanaconda.flags import flags
 from pyanaconda.constants import *
-from pyanaconda.storage.errors import StorageError
-from pyanaconda.storage.fcoe import fcoe
+from blivet.errors import StorageError
+from blivet.fcoe import fcoe
 import pyanaconda.network
-from pyanaconda.storage import platform
+from blivet import platform
 
 import gettext
 _ = lambda x: gettext.ldgettext("anaconda", x)
@@ -756,7 +756,7 @@ class BootLoader(object):
 
             Keyword Arguments:
 
-                storage - a pyanaconda.storage.Storage instance
+                storage - a blivet.Storage instance
 
             All other arguments are expected to have a dracutSetupArgs()
             method.
@@ -774,7 +774,7 @@ class BootLoader(object):
         #
 
         # storage
-        from pyanaconda.storage.devices import NetworkStorageDevice
+        from blivet.devices import NetworkStorageDevice
         dracut_devices = [storage.rootDevice]
         if self.stage2_device != storage.rootDevice:
             dracut_devices.append(self.stage2_device)
diff --git a/pyanaconda/exception.py b/pyanaconda/exception.py
index 291adbc..f053c0d 100644
--- a/pyanaconda/exception.py
+++ b/pyanaconda/exception.py
@@ -32,7 +32,7 @@ import signal
 import time
 from flags import flags
 import kickstart
-import storage.errors
+import blivet.errors
 from pyanaconda.constants import ROOT_PATH
 from gi.repository import GLib
 
@@ -73,7 +73,7 @@ class AnacondaExceptionHandler(ExceptionHandler):
                                                                   obj)
             return False
 
-        if issubclass(ty, storage.errors.StorageError) and value.hardware_fault:
+        if issubclass(ty, blivet.errors.StorageError) and value.hardware_fault:
             hw_error_msg = _("The installation was stopped due to what "
                              "seems to be a problem with your hardware. "
                              "The exact error message is:\n\n%s.\n\n "
diff --git a/pyanaconda/image.py b/pyanaconda/image.py
index 6786082..c77587b 100644
--- a/pyanaconda/image.py
+++ b/pyanaconda/image.py
@@ -19,12 +19,12 @@
 
 import isys
 import os, os.path, stat, sys
-from pyanaconda.storage import util
 from constants import *
 
 from errors import *
 
-import pyanaconda.storage.arch
+import blivet.util
+import blivet.arch
 
 import gettext
 _ = lambda x: gettext.ldgettext("anaconda", x)
@@ -32,7 +32,7 @@ _ = lambda x: gettext.ldgettext("anaconda", x)
 import logging
 log = logging.getLogger("anaconda")
 
-_arch = pyanaconda.storage.arch.getArch()
+_arch = blivet.arch.getArch()
 
 def findFirstIsoImage(path):
     """
@@ -62,12 +62,12 @@ def findFirstIsoImage(path):
 
         log.debug("mounting %s on /mnt/install/cdimage", what)
         try:
-            util.mount(what, "/mnt/install/cdimage", fstype="iso9660", options="ro")
+            blivet.util.mount(what, "/mnt/install/cdimage", fstype="iso9660", options="ro")
         except OSError:
             continue
 
         if not os.access("/mnt/install/cdimage/.discinfo", os.R_OK):
-            util.umount("/mnt/install/cdimage")
+            blivet.util.umount("/mnt/install/cdimage")
             continue
 
         log.debug("Reading .discinfo")
@@ -81,14 +81,14 @@ def findFirstIsoImage(path):
         if discArch != arch:
             log.warning("findFirstIsoImage: architectures mismatch: %s, %s" %
                         (discArch, arch))
-            util.umount("/mnt/install/cdimage")
+            blivet.util.umount("/mnt/install/cdimage")
             continue
 
         # If there's no repodata, there's no point in trying to
         # install from it.
         if not os.access("/mnt/install/cdimage/repodata", os.R_OK):
             log.warning("%s doesn't have repodata, skipping" %(what,))
-            util.umount("/mnt/install/cdimage")
+            blivet.util.umount("/mnt/install/cdimage")
             continue
 
         # warn user if images appears to be wrong size
@@ -99,7 +99,7 @@ def findFirstIsoImage(path):
                 raise exn
 
         log.info("Found disc at %s" % fn)
-        util.umount("/mnt/install/cdimage")
+        blivet.util.umount("/mnt/install/cdimage")
         return fn
 
     return None
@@ -152,7 +152,7 @@ def mountImageDirectory(method, storage):
 
         while True:
             try:
-                util.mount(url, ISO_DIR, fstype="nfs", options=method.options)
+                blivet.util.mount(url, ISO_DIR, fstype="nfs", options=method.options)
             except OSError as e:
                 log.error("couldn't mount ISO source directory: %s" % e)
                 exn = MediaMountError(str(e))
@@ -175,7 +175,7 @@ def mountImage(isodir, tree):
             image = os.path.normpath("%s/%s" % (isodir, image))
 
         try:
-            util.mount(image, tree, fstype = 'iso9660', options="ro")
+            blivet.util.mount(image, tree, fstype = 'iso9660', options="ro")
         except OSError:
             exn = MissingImageError()
             if errorHandler.cb(exn) == ERROR_RAISE:
@@ -214,7 +214,7 @@ def potentialHdisoSources(devicetree):
 
 def umountImage(tree):
     if os.path.ismount(tree):
-        util.umount(tree)
+        blivet.util.umount(tree)
 
 def unmountCD(dev):
     if not dev:
diff --git a/pyanaconda/install.py b/pyanaconda/install.py
index 6e3ee99..9a55a9c 100644
--- a/pyanaconda/install.py
+++ b/pyanaconda/install.py
@@ -21,7 +21,7 @@
 #
 
 from pyanaconda.constants import ROOT_PATH
-from pyanaconda.storage import turnOnFilesystems
+from blivet import turnOnFilesystems
 from pyanaconda.bootloader import writeBootLoader
 from pyanaconda.progress import progress_report
 from pyanaconda.users import createLuserConf, getPassAlgo, Users
diff --git a/pyanaconda/installclass.py b/pyanaconda/installclass.py
index 888d081..753de20 100644
--- a/pyanaconda/installclass.py
+++ b/pyanaconda/installclass.py
@@ -30,9 +30,9 @@ import types
 
 from constants import *
 from product import *
-from storage.partspec import *
-from storage.devicelibs import swap
-from storage.platform import platform
+from blivet.partspec import *
+from blivet.devicelibs import swap
+from blivet.platform import platform
 
 import gettext
 _ = lambda x: gettext.ldgettext("anaconda", x)
diff --git a/pyanaconda/isys/__init__.py b/pyanaconda/isys/__init__.py
index 7d73836..7f4bcb4 100755
--- a/pyanaconda/isys/__init__.py
+++ b/pyanaconda/isys/__init__.py
@@ -37,7 +37,7 @@ import stat
 import posix
 import sys
 from pyanaconda import iutil
-from pyanaconda.storage import arch
+import blivet.arch
 import re
 import struct
 import dbus
@@ -71,7 +71,7 @@ NM_DEVICE_TYPE_ETHERNET = 1
 
 DBUS_PROPS_IFACE = "org.freedesktop.DBus.Properties"
 
-if arch.getArch() in ("sparc", "ppc64"):
+if blivet.arch.getArch() in ("sparc", "ppc64"):
     MIN_RAM = 768 * 1024
     GUI_INSTALL_EXTRA_RAM = 512 * 1024
 else:
@@ -255,7 +255,7 @@ def isPaeAvailable():
         return isPAE
 
     isPAE = False
-    if not arch.isX86():
+    if not blivet.arch.isX86():
         return isPAE
 
     f = open("/proc/cpuinfo", "r")
